gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Special.VRuler

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical ruler

Synopsis

- data VRuler
- class RulerClass o => VRulerClass o
- castToVRuler :: GObjectClass obj => obj -> VRuler
- toVRuler :: VRulerClass o => o -> VRuler
- vRulerNew :: IO VRuler

# Detail

The `VRuler` widget is a widget arranged vertically creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are `Pixels`, `Inches` and `Centimeters`. `Pixels` is the default. rulers.

- Rulers are removed in Gtk3 and thus this module is blank. There is no replacement

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Ruler
     | +----VRuler

# Types

data VRuler

Instances

Eq VRuler |
Ord VRuler |
GObjectClass VRuler |
VRulerClass VRuler |
RulerClass VRuler |
WidgetClass VRuler |
ObjectClass VRuler |

class RulerClass o => VRulerClass o

Instances

VRulerClass VRuler |

castToVRuler :: GObjectClass obj => obj -> VRuler

toVRuler :: VRulerClass o => o -> VRuler

# Constructors

vRulerNew :: IO VRuler

Creates a new vertical ruler